comment "Mock Turtle configuration"

comment "Mock Turtle framework configuration"
config MOCKTURTLE_FRAMEWORK_ENABLE
	bool "Enable Mock Turtle framework"
	default y
	help
	  It enables the Mock Turtle firmware framework. This framework
	  provides a well structured way to develop Mock turtle firmwares
	  as wall as helpers for the most common operations.

config MOCKTURTLE_FRAMEWORK_DEBUG_ENABLE
	bool "Enable debugging in Mock Turtle framework"
	depends on MOCKTURTLE_FRAMEWORK_ENABLE
	default n
	help
	  It enables the debug messages in the framework. Useful to
	  debug messages exchange or other framework internals

config MOCKTURTLE_FRAMEWORK_ACTION_ENABLE
	bool "Enable Mock Turtle Actions"
	default y
	help
	  It enables the Mock Turtle actions in framework. The action
	  is similar to an RPC: when the firmware receives a special
	  message it triggers a function execution.


config MOCKTURTLE_FRAMEWORK_VARIABLE_ENABLE
	bool "Enable variable in Mock Turtle framework"
	depends on MOCKTURTLE_FRAMEWORK_ACTION_ENABLE
	default n
	help
	  It enables the API for local variable exchange with the host system.

config MOCKTURTLE_FRAMEWORK_BUFFER_ENABLE
	bool "Enable buffer in Mock Turtle framework"
	depends on MOCKTURTLE_FRAMEWORK_ACTION_ENABLE
	default n
	help
	  It enables the API for local buffers exchange with the host system.

config MOCKTURTLE_FRAMEWORK_PING_ENABLE
	bool "Enable ping message in Mock Turtle framework"
	depends on MOCKTURTLE_FRAMEWORK_ACTION_ENABLE
	default y
	help
	  It enables the API to send ping message to firmwares.

config MOCKTURTLE_FRAMEWORK_VERSION_ENABLE
	bool "Enable version message in Mock Turtle framework"
	depends on MOCKTURTLE_FRAMEWORK_ACTION_ENABLE
	default y
	help
	  It enables the API to send version message to firmwares.

config MOCKTURTLE_FRAMEWORK_VALUE_SEND_ENABLE
	bool "Enable value message send in Mock Turtle framework"
	depends on MOCKTURTLE_FRAMEWORK_ENABLE
	default n
	help
	  It enables the API to automatically build and send a message
	  with the given values

config MOCKTURTLE_FRAMEWORK_BUFFER_SEND_ENABLE
	bool "Enable buffer message send in Mock Turtle framework"
	depends on MOCKTURTLE_FRAMEWORK_ENABLE
	default n
	help
	  It enables the API to automatically build and send a message
	  with a given buffer

comment "Mock Turtle library configuration"

config MOCKTURTLE_LIBRARY_PRINT_ENABLE
	bool "Enable print in Mock Turtle library"
	default y
	help
	  It enables `pp_printf` messages on serial console.
	  It is a compact version of `printf` but still quite big.
	  If you need space, do not enable this option.

config MOCKTURTLE_LIBRARY_PRINT_DEBUG_ENABLE
	bool "Enable print debug in Mock Turtle library"
	depends on MOCKTURTLE_LIBRARY_PRINT_ENABLE
	default n
	help
	  It enables `pr_debug` messages on serial console. When
	  disabled, those print messages are not compiled.
	  (based on `pp_printf`)

config MOCKTURTLE_LIBRARY_PRINT_ERROR_ENABLE
	bool "Enable print error in Mock Turtle library"
	depends on MOCKTURTLE_LIBRARY_PRINT_ENABLE
	default n
	help
	  It enables `pr_error` messages on serial console. When
	  disabled, those print messages are not compiled.
	  (based on `pp_printf`)
